/*
 * @(#)Options.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

/**
 * A container for the writing options.
 *
 * @version 20021025
 * @author Jörg P. M. Haeger
 */
class Options {
	static final int
		CDR = 0,
		CDRW = 1,
		DVDPLUSRW = 2,
		DVDPLUSR = 3;

	static boolean
		blankTOC,
		closeCD,
		DAO,
		format,
		HFS,
		joliet,
		linkedMultisession,
		offline,
		rockRidge,
		simulate,
		verbose,
		verify;
	static String bootImage, volumeID;
	static int
		copies,
		medium = CDR,
		mediumSize = 650,
		speed = 4;

	public static String getMediumName() {
		switch (medium) {
			case DVDPLUSRW: return "DVDplusRW";
			case DVDPLUSR: return "DVDplusR";
		}
		return "CDR";
	}

	/**
	 * set the defaults
	 */
	public static void reset() {
		blankTOC = false;
		bootImage = null;
		closeCD = false;
		copies = 1;
		DAO = false;
		format = false;
		HFS = false;
		joliet = true;
		linkedMultisession = true;
		offline = false;
		rockRidge = true;
		verbose = false;
		simulate = false;
		verify = false;
		volumeID = "";
	}
}
